declare type Range = [number, number];
export interface Options {
    root?: HTMLElement;
    number?: number;
    velocityXRange?: Range;
    velocityYRange?: Range;
    radiusRange?: Range;
    color?: string;
    alphaRange?: Range;
    fps?: number;
}
export declare const assertRange: (range: Range) => void | never;
export declare class LetItGo {
    readonly root: HTMLElement;
    private isGo;
    private _number;
    get number(): number;
    set number(number: number);
    private _velocityXRange;
    get velocityXRange(): Range;
    set velocityXRange(range: Range);
    private _velocityYRange;
    get velocityYRange(): Range;
    set velocityYRange(range: Range);
    private _radiusRange;
    get radiusRange(): Range;
    set radiusRange(range: Range);
    private _color;
    get color(): string;
    set color(color: string);
    private _alphaRange;
    get alphaRange(): Range;
    set alphaRange(range: Range);
    readonly fps: number;
    private readonly canvas;
    private readonly ctx;
    private snowflakes;
    private intervalID;
    private requestID;
    static readonly DEFAULT_OPTIONS: Readonly<Required<Options>>;
    constructor({ root, number, velocityXRange, velocityYRange, radiusRange, color, alphaRange, fps, }?: Readonly<Options>);
    private _resizeCanvas;
    private _mountCanvas;
    private _createSnowflakes;
    private _update;
    private _draw;
    private _init;
    letItStop(): void;
    letItGoAgain(): void;
    clear(): void;
}
export default LetItGo;
